; (c) 2008, 2013 by mr schnada <webmaster at schnada de>

;;; Usage
;;; ,exec ,load ../load.scm
;;; ,open schnada
;;; That done, load the schnada db, then generate ad lib.
;;; Check the page-uri warnings for "unbound" page labels.
;;; When necessary reload the schnada db.
;;;
;;; The output goes into ../pages/www.schnada.de or www.culious...
;;; (according to the LOCO element of the page).

(load-schnada-db)

;; www.schnada.de
(generate-schnada "top")
(generate-schnada "changelog")
(generate-schnada "impressum")
(generate-schnada "contact")
(generate-schnada "hax")

;; www.schnade.de/sitemap.xml[.gz]
(generate-schnadamap
 (lambda (label)
   (case (string->symbol label)
     ((top) 1.0)
     ((changelog contact impressum) 0.1)
     (else 0.5)))
 (lambda (label)
   (case (string->symbol label)
     ((top changelog) "monthly")
     (else "yearly")))
 "www.schnada.de")


;; www.culious.freehosting.net
(generate-schnada "culious")

;; www.culious.freehosting.net/sitemap.xml[.gz]
(generate-schnadamap
 (lambda (label)
   (case (string->symbol label)
     (else 0.5)))
 (lambda (label)
   (case (string->symbol label)
     (else "yearly")))
 "www.culious.freehosting.net")
