; (c) 2013 by mr schnada <webmaster at schnada de>

(define (produce-xml-brackets . elt)
  (if (null? (elt-elements elt))
      (list #\< (elt-tag elt) (elt-attributes elt) " />")
      (list #\< (elt-tag elt) (elt-attributes elt) #\>
            (elt-elements elt)
            "</" (elt-tag elt) #\>)))

(define (sxml->xml elts . maybe-prefix)
    (SRV:send-reply
     (pre-post-order elts
       `((@
          ((*default* ; local override for attributes
            . ,(lambda (attr-key . value) (enattr attr-key value))))
          . ,(lambda (trigger . value) (cons '@ value)))
         (*default* . ,produce-xml-brackets)
         (*text* . ,(lambda (trigger x) x)) ))))

